Huggingface Discovery Batch
curl --request POST \
--url https://api.heybee.app/v1/integrations/huggingface/discovery-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"dataset_repo_id": "<string>",
"config_name": "<string>",
"mapping": {
"anchor": {
"column": "<string>",
"type": "<string>"
},
"candidates": [
{
"candidate_key": "<string>",
"column": "<string>",
"candidate_label": "<string>"
}
],
"metadata_columns": [
"<string>"
],
"mode": "wide_benchmark",
"text_pair_patch": {
"source_columns": [
"<string>"
],
"anchor_column": "__derived_prompt",
"output_mode": "suffix",
"type": "paired_text_common_prefix"
}
},
"row_limit": 100,
"row_offset": 0,
"split_name": "<string>"
}
],
"mode": "cache_only"
}
'import requests
url = "https://api.heybee.app/v1/integrations/huggingface/discovery-batch"
payload = {
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"dataset_repo_id": "<string>",
"config_name": "<string>",
"mapping": {
"anchor": {
"column": "<string>",
"type": "<string>"
},
"candidates": [
{
"candidate_key": "<string>",
"column": "<string>",
"candidate_label": "<string>"
}
],
"metadata_columns": ["<string>"],
"mode": "wide_benchmark",
"text_pair_patch": {
"source_columns": ["<string>"],
"anchor_column": "__derived_prompt",
"output_mode": "suffix",
"type": "paired_text_common_prefix"
}
},
"row_limit": 100,
"row_offset": 0,
"split_name": "<string>"
}
],
"mode": "cache_only"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
experiment_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
items: [
{
dataset_repo_id: '<string>',
config_name: '<string>',
mapping: {
anchor: {column: '<string>', type: '<string>'},
candidates: [{candidate_key: '<string>', column: '<string>', candidate_label: '<string>'}],
metadata_columns: ['<string>'],
mode: 'wide_benchmark',
text_pair_patch: {
source_columns: ['<string>'],
anchor_column: '__derived_prompt',
output_mode: 'suffix',
type: 'paired_text_common_prefix'
}
},
row_limit: 100,
row_offset: 0,
split_name: '<string>'
}
],
mode: 'cache_only'
})
};
fetch('https://api.heybee.app/v1/integrations/huggingface/discovery-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"dataset_repo_id": "<string>",
"compatibility": {
"config_name": "<string>",
"dataset_repo_id": "<string>",
"split_name": "<string>",
"available_columns": [
{}
],
"dedupe": {
"blocking": false,
"duplicate_sample_count": 123,
"existing_import_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"existing_import_status": "<string>",
"reason": "",
"status": "none",
"total_sample_count": 123
},
"direct_media_delivery": {
"supported": true,
"range_supported": true
},
"errors": [
{}
],
"mapping": {
"anchor": {
"column": "<string>",
"type": "<string>"
},
"candidates": [
{
"candidate_key": "<string>",
"column": "<string>",
"candidate_label": "<string>"
}
],
"metadata_columns": [
"<string>"
],
"mode": "wide_benchmark",
"text_pair_patch": {
"source_columns": [
"<string>"
],
"anchor_column": "__derived_prompt",
"output_mode": "suffix",
"type": "paired_text_common_prefix"
}
},
"proxy_fallback": {
"supported": true,
"range_supported": true
},
"resolved_sha": "<string>",
"row_count": 123,
"storage_policy": "hybrid",
"warnings": [
"<string>"
]
},
"error": {},
"split": {
"config": "<string>",
"split": "<string>",
"num_rows": 123
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Hugging Face
Huggingface Discovery Batch
POST
/
v1
/
integrations
/
huggingface
/
discovery-batch
Huggingface Discovery Batch
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I

